io.agora.rtc

## Interface IVideoFrameObserver

- All Known Implementing Classes:
    DefaultVideoFrameObserver

      public interface IVideoFrameObserver

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `onCaptureVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer, VideoFrame frame)`
    `int` | `onMediaPlayerVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer, VideoFrame frame, int media_player_id)`
    `int` | `onPreEncodeScreenVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer, VideoFrame frame)`
    `int` | `onPreEncodeVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer, VideoFrame frame)`
    `int` | `onRenderVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer, java.lang.String channel_id, int uid, VideoFrame frame)`
    `int` | `onScreenCaptureVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer, VideoFrame frame)`
    `int` | `onSecondaryCameraCaptureVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer, VideoFrame frame)`
    `int` | `onSecondaryPreEncodeCameraVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer, VideoFrame frame)`
    `int` | `onSecondaryPreEncodeScreenVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer, VideoFrame frame)`
    `int` | `onSecondaryScreenSaptureVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer, VideoFrame frame)`
    `int` | `onTranscodedVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer, VideoFrame frame)`

- - ### Method Detail

    - #### onCaptureVideoFrame

          int onCaptureVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer,
                                  VideoFrame frame)

    - #### onPreEncodeVideoFrame

          int onPreEncodeVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer,
                                    VideoFrame frame)

    - #### onSecondaryCameraCaptureVideoFrame

          int onSecondaryCameraCaptureVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer,
                                                 VideoFrame frame)

    - #### onSecondaryPreEncodeCameraVideoFrame

          int onSecondaryPreEncodeCameraVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer,
                                                   VideoFrame frame)

    - #### onScreenCaptureVideoFrame

          int onScreenCaptureVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer,
                                        VideoFrame frame)

    - #### onPreEncodeScreenVideoFrame

          int onPreEncodeScreenVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer,
                                          VideoFrame frame)

    - #### onMediaPlayerVideoFrame

          int onMediaPlayerVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer,
                                      VideoFrame frame,
                                      int media_player_id)

    - #### onSecondaryScreenSaptureVideoFrame

          int onSecondaryScreenSaptureVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer,
                                                 VideoFrame frame)

    - #### onSecondaryPreEncodeScreenVideoFrame

          int onSecondaryPreEncodeScreenVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer,
                                                   VideoFrame frame)

    - #### onRenderVideoFrame

          int onRenderVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer,
                                 java.lang.String channel_id,
                                 int uid,
                                 VideoFrame frame)

    - #### onTranscodedVideoFrame

          int onTranscodedVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer,
                                     VideoFrame frame)